#
# spec file for package permissions (Version 2005.10.20)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         permissions
License:      GPL
Group:        Productivity/Security
Autoreqprov:  on
Version:      2005.10.20
Release:      3
Provides:     aaa_base:/etc/permissions
PreReq:       %fillup_prereq
Summary:      SuSE Linux base package
#Source:       permissions.tar.bz2
Source1:      SuSEconfig.permissions
Source2:      chkstat.c
Source3:      chkstat.8
Source4:      sysconfig.security
Source5:      permissions
Source6:      permissions.easy
Source7:      permissions.paranoid
Source8:      permissions.secure
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package installs several important configuration files. Central
scripts like SuSEconfig are also part of this package.



Authors:
--------
    Werner Fink <werner@suse.de>
    Roman Drahtmller <draht@suse.de>


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
gcc -Wall $RPM_OPT_FLAGS %{SOURCE2} -o $RPM_BUILD_ROOT/usr/bin/chkstat
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT/sbin/conf.d
install -m 644 %{SOURCE3}  $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc

%post
%{fillup_only -n security}

%files
/etc/permissions*
/usr/bin/chkstat
%{_mandir}/man8/chkstat.8*
/sbin/conf.d/SuSEconfig.permissions
/var/adm/fillup-templates/sysconfig.security

%changelog -n permissions
* Thu Oct 20 2005 - lnussel@suse.de
- don't chown if the last component of a path that ends with a slash is a
  symlink (still #103186)
* Fri Sep 30 2005 - lnussel@suse.de
- remove /var/lib/xmcd as it's not safe to modify permissions in
  world writeable directories (#103186).
- remove permissions handling of /var/games/* (#103186)
- add slashes to several directories (#103186)
- replace insecure chkstat perl script with C version
* Fri May 21 2004 - thomas@suse.de
- changed permission of /var/lock/subsys to 755
* Tue May 18 2004 - thomas@suse.de
- changed permissions of /var/lock [Bug #37759]
* Thu Sep 18 2003 - kukuk@suse.de
- Fix group of straps, popauth and ntping
- Remove some GNOME games which do not need special rights anymore
* Tue Sep 16 2003 - kukuk@suse.de
- permissions.easy: change group of bing, vboxbeep, plpnfsd to
  trusted, majordomo/wrapper to daemon
* Tue Sep 16 2003 - kukuk@suse.de
- permissions.easy: change group of gpasswd and ziptool to trusted
* Tue Sep 02 2003 - kkeil@suse.de
- fix user fax for hylafax specific files
* Tue Sep 02 2003 - kukuk@suse.de
- fix path to cons.saver, remove setuid bit in paranoid (#25907)
- remove screen
- remove smail (dropped years ago)
* Mon Sep 01 2003 - kkeil@suse.de
- fix group for isdnctrl uucp --> dialout (#28997)
* Mon Sep 01 2003 - draht@suse.de
- feedback@suse.de -> http://www.suse.de/feedback in all files of
  the package. #29635.
* Sat Aug 23 2003 - sndirsch@suse.de
- added martian entries of package pachi
* Tue Aug 19 2003 - mmj@suse.de
- Add sysconfig metadata [#28937]
* Tue Jul 29 2003 - draht@suse.de
- fax changes from Tomas Crhak: faxq-helper and spool directories.
* Tue Jul 29 2003 - ro@suse.de
- gnome games moved back to /opt/gnome
* Mon Jul 28 2003 - kukuk@suse.de
- Remove /var/run from permissions file list [Bug #28289]
* Mon Jul 28 2003 - kukuk@suse.de
- /var/lib/gdm: Removed to solve [Bug #28257] for future products.
* Fri Jul 25 2003 - draht@suse.de
- /usr/lib/vte/gnome-pty-helper -> /opt/gnome/lib/vte/gnome-pty-helper
  The same with /opt/gnome/lib64/.
* Fri Jun 13 2003 - kukuk@suse.de
- /usr/lib/mgetty+sendfax/faxq-helper added 4711 in easy and secure
* Fri May 02 2003 - sndirsch@suse.de
- added /usr/games/pachi and /var/games/pachi.scores
* Mon Mar 10 2003 - sndirsch@suse.de
- added /usr/games/falconseye.bin
- removed /usr/games/falconseye
* Mon Mar 10 2003 - kukuk@suse.de
- added /usr/lib64/vte/gnome-pty-helper until ported to utempter
* Sun Mar 09 2003 - sndirsch@suse.de
- added /usr/games/falconseye
- removed old falconseye entries
* Thu Mar 06 2003 - ro@suse.de
- added /usr/lib/vte/gnome-pty-helper until ported to utempter
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22686]
* Tue Feb 18 2003 - kssingvo@suse.de
- removed squid entries. They will be added and corrected to squids own
  permission file /etc/permissions.d/squid (bugzilla#23752):
  /var/squid
  /var/squid/cache
  /var/squid/logs
* Tue Feb 18 2003 - draht@suse.de
- /usr/games/trackballs added 2755 games.games in easy.
* Sun Feb 16 2003 - adrian@suse.de
- allow khc_indexbuilder to write into /var/cache/susehelp in easy mode
- remove old entries (kreatecd and kscd)
* Mon Feb 10 2003 - draht@suse.de
- additions/changes (from #17012, Tobias Burnus):
  * read all files from the commandline at once and override
  entries given multiple times by the last entry
  * enable option --set in addition to -set
  * manpage adoptions
  * call chkstat only once from SuSEconfig.permissions
* Thu Feb 06 2003 - ro@suse.de
- /var/mtrack -> /var/lib/mtrack
* Tue Nov 19 2002 - ro@suse.de
- zapping_setup_fb moved to /opt/gnome/sbin
* Thu Nov 14 2002 - bg@suse.de
- added hppa to rpm subsystem in permissions files to be able to
  finish autobuild
* Thu Oct 24 2002 - ro@suse.de
- two more nethack flavors with sgid games in easy
* Tue Sep 10 2002 - draht@suse.de
- cda entries below /usr/X11R6/lib/X11/xmcd removed.
  index.html under /var/lib/xmcd/discog directories added
  world-writeable. This is not satisfactory. New user xmcd will be
  added in next release.
* Thu Sep 05 2002 - draht@suse.de
- /usr/X11R6/lib/X11/xmcd/bin-Linux-ia64/{cda,xmcd} added.
* Mon Aug 26 2002 - draht@suse.de
- removed all occurrences of kv4lsetup upon request by adrian+uli.
- -s for xlock, xlock-mesa + xscreensaver (#18125), (#18132)
- /usr/src/packages/RPMS/alphaev67 added.
- added /sbin/unix2_chkpwd root.shadow 2755
- -s /usr/sbin/papd (#18103)
* Wed Aug 21 2002 - draht@suse.de
- removed suid bits from heimdal's su and otp (#18104)
* Wed Aug 21 2002 - draht@suse.de
- remove setuid bit from traceroute due to new implementation by
  Olaf Kirch which doesn't need euid root. (#18101)
* Wed Aug 21 2002 - draht@suse.de
- removed lprng entries because of conflicts cups <-> lprng
* Wed Aug 21 2002 - draht@suse.de
- vboxbeep -> 0755 in secure.
* Mon Aug 19 2002 - ro@suse.de
- added prereq (#17956)
* Mon Aug 19 2002 - uli@suse.de
- added nethack for lib64 archs
* Mon Aug 19 2002 - uli@suse.de
- added xmcd for archs != i386
* Tue Aug 13 2002 - draht@suse.de
- gnome-games2 entries changed/adopted to /opt/gnome2 path.
* Tue Aug 13 2002 - draht@suse.de
- changed kcheckpass from 2755 root.shadow to 4755. (#17664)
* Wed Jul 31 2002 - olh@suse.de
- ncpmount, ncpumount, nwsfind, ncplogin, ncpmap root.trusted 4750
* Sat Jul 27 2002 - kukuk@suse.de
- Rename group wwwadmin to www
- Rename group game to games
* Tue Jul 23 2002 - draht@suse.de
- added sapdb files, not setuid root in secure,paranoid.
* Mon Jul 22 2002 - draht@suse.de
- added frontpage files
* Tue Jul 16 2002 - draht@suse.de
- changed entries for mailman: group mdom -> mailman
* Tue Jul 16 2002 - draht@suse.de
- mailman sgid mdom files added to easy, secure and paranoid.
* Wed Jul 10 2002 - draht@suse.de
- .paranoid comment fixed about at and cron (#12159)
* Mon Jul 08 2002 - draht@suse.de
- ppp dialup networking fixes and cleanup.
* Mon Jul 08 2002 - draht@suse.de
- modifications: -s for pppd, world-writeable directories for
  kdemultimedia3-sound, gift, mips and armv4l RPMS directory.
* Fri Jul 05 2002 - kukuk@suse.de
- Add /usr/src/packages/RPMS/sparcv9 to easy,secure,paranoid.
* Thu Jul 04 2002 - draht@suse.de
- /usr/lib64/pt_chown added to easy,secure,paranoid.
* Mon Jul 01 2002 - draht@suse.de
- entries for packages added or changed:
  squid
  geki2
  d1x
  falconseye
  fdutils
  gewels
  gnome-games
  heimdal
  lbreakout
  lpdfilter
  lprng
  man
  mgetty (/var/spool/fax/outgoing/* need discussion)
  mtrack (locfile+satfile -> 0644)
  nethack
  nvi-m17n (/var/preserve/vi.recover -> 1777)
  opie (/bin -> /usr/bin)
  pcp
  plptools
  qpopper
  rp-pppoe (/usr/sbin/pppoe-wrapper)
  smpppd (/usr/sbin/cinternet-wwwrun wwwrun.dialout   2750)
  squid (/usr/sbin/pam_auth)
  su-wrapper
  xemacs (lock directory changed again? now /var/state/xemacs and /var/lib/xemacs)
  xgalaga
  xmcd
  xscrabble
* Mon Jul 01 2002 - ro@suse.de
- don't install all sources (spec file etc.)
* Fri Jun 28 2002 - draht@suse.de
- minor spec file change
* Fri Jun 28 2002 - draht@suse.de
- entries for packages added:
  ftpdir
  gnokii
  kamplus
  geki2
  aaa_dir (/tmp/.ICE-unix)
* Fri Jun 28 2002 - draht@suse.de
- unpack tar archive in source for convenience.
* Thu Jun 27 2002 - olh@suse.de
- update permissions of /usr/src/packages/RPMS/<arch>
* Fri Jun 21 2002 - ro@suse.de
- created package as split off from aaa_base
